Package com.sas.lsaf.query.security.membership

## Interface ContextMembershipQueryService

-     public interface ContextMembershipQueryService

  The service to extract context membership information to a file. The methods in the service require the current user to be an Administrative mode user.
  Since:
    2.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `executeContextMembershipQuery​(ContextMembershipQuery query, ExtractFileCreateInfo file)` | Extracts the assigned membership of a context with the option to include defined groups.
    `java.lang.String` | `executeDistinctContextMembershipQuery​(DistinctContextMembershipQuery query, ExtractFileCreateInfo file)` | Extracts the distinct members of a context.

- - ### Method Detail

    - #### executeContextMembershipQuery

          java.lang.String executeContextMembershipQuery​(ContextMembershipQuery query,
                                                         ExtractFileCreateInfo file)
                                                  throws QueryException

      Extracts the assigned membership of a context with the option to include defined groups. The context path is required on the `ContextMembershipQuery`. No constraints are required for the query. If none are provided, it returns the membership information for the context. If the query results exceed the row limit (default is 10 million), a `QueryLimitException` is thrown.
      Parameters:
        `query` - The membership criteria with which to query, which includes contextPath that is required.
        `file` - The method to add the query output file.
      Returns:
        The path to the query output file.
      Throws:
        `QueryException` - Thrown when there is an issue generating the query.

    - #### executeDistinctContextMembershipQuery

          java.lang.String executeDistinctContextMembershipQuery​(DistinctContextMembershipQuery query,
                                                                 ExtractFileCreateInfo file)
                                                          throws QueryException

      Extracts the distinct members of a context. The context path is required on the `ContextMembershipQuery`. No constraints are required for the query. If none are provided, it returns the membership information for the context. If the query results exceed the row limit (default is 10 million), a `QueryLimitException` is thrown.
      Parameters:
        `query` - The membership criteria with which to query, which includes contextPath that is required.
        `file` - The method to add the query output file.
      Returns:
        The path to the query output file.
      Throws:
        `QueryException` - Thrown when there is an issue generating the query.